tt_feature_required(library call)

NAME
tt_feature_required — declare a feature to be required by the calling program.

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_feature_required(
Tt_feature feature);

DESCRIPTION

The tt_feature_required function declares a feature to be required by the calling code. If the feature is available, tt_feature_required enables it.

If the feature requires the ToolTalk service to perform some initialization (for example, TT_FEATURE_MULTITHREADED), the initialization is performed in this call. Some features (such as TT_FEATURE_MULTITHREADED) require this call to be made before calling tt_open.

ARGUMENTS

feature
    Specifies the feature to be required.

RETURN VALUE

Upon completion, the tt_feature_required function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The feature is available and has been enabled.

TT_ERR_TOOLATE
    The tt_feature_required call must be made prior to other calls that have already been made to the ToolTalk API.

TT_ERR_UNIMP
    The version of the ToolTalk library linked with the calling code does not support the indicated feature.

APPLICATION USAGE

To use the ToolTalk library in a multithreaded environment, an application would declare multithreading to be required before a call to tt_open or ttdt_open:

Tt_status ttstat;
ttstat = tt_feature_required(TT_FEATURE_MULTITHREADED);
tt_open();

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_feature_enabled(3), tt_open(3), ttdt_open(3)